Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514109 - when oscap encounters unknown CPE within the content, warn user
Summary: when oscap encounters unknown CPE within the content, warn user
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: openscap
Version: 7.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Jan Černý
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-16 16:43 UTC by Marek Haicman
Modified: 2019-03-12 14:32 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-12 14:32:11 UTC


Attachments (Terms of Use)

Description Marek Haicman 2017-11-16 16:43:08 UTC
Description of problem:
Common situation is that newer SSG utilize internal CPE definitions. If you consume just xccdf, all custom CPE's result in "notapplicable" state, which is unfortunate. And it's not very transparent for user not well-versed in SCAP.

Version-Release number of selected component (if applicable):
openscap-1.2.16-1.el7

How reproducible:
reliably

Steps to Reproduce:
1. install scap-security-guide
2. oscap xccdf eval --profile C2S /usr/share/xml/scap/ssg/content/ssg-rhel7-xccdf.xml
3.

Actual results:
audit rules results in "not applicable", no explanation is provided

Expected results:
audit rules results in "not applicable", warning message is printed out saying something like "Content refers to CPE definition 'xxyyyzzz' which is not available. Maybe you use XCCDF file instead of DataStream?"

Additional info:

Comment 2 Marek Haicman 2017-11-16 16:46:24 UTC
This bug got inspired by Bug 1496279

Note: if possible, make the scap workbench also aware of this situation/warning message.

Comment 3 Matěj Týč 2018-11-23 13:03:58 UTC
This is a false-negative type of bug, when a check may be skipped because of the CPE. This can happen at least in two cases:
* The customer uses XCCDF instead of datastreams, so some CPE definitions are missing.
* There is a typo in the datastream content, so the rule CPE does not match the definition.
This bug therefore can cause some rules that are in fact failing to be evaluated as notapplicanble, which is considered a positive result. CPEs are used to distinguish between container and machine-only rules, and they may be used to a greater extent in the future.
Therefore, the bug is in nature serious, but is likely to affect only a small amount of users.

Comment 4 Marek Haicman 2019-03-12 14:32:11 UTC
This issue was not selected to be included in Red Hat Enterprise Linux 7.7 because it is seen either as low or moderate impact to a small number of use-cases. The next release will be in Maintenance Support 1 Phase, which means that qualified Critical and Important Security errata advisories (RHSAs) and Urgent Priority Bug Fix errata advisories (RHBAs) may be released as they become available. We will now close this issue, but if you believe that it qualifies for the Maintenance Support 1 Phase, please re-open; otherwise, we recommend moving the request to Red Hat Enterprise Linux 8 if applicable.


Note You need to log in before you can comment on or make changes to this bug.